GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
varobj_update_result Struct Reference

`#include "varobj.h"`

## Public Member Functions
| varobj_update_result (struct varobj *varobj_, varobj_scope_status status_=VAROBJ_IN_SCOPE)
| varobj_update_result (varobj_update_result &&other)=default
| DISABLE_COPY_AND_ASSIGN (varobj_update_result)

## Public Attributes
struct varobj * | varobj
bool | type_changed = false
bool | children_changed = false
bool | changed = false
enum varobj_scope_status | status
bool | value_installed = false
std::vector< struct varobj * > | newobj

## Detailed Description

Definition at line 60 of file varobj.h.

## Constructor & Destructor Documentation

## ◆ varobj_update_result() [1/2]

varobj_update_result::varobj_update_result | ( | struct varobj * | varobj_,
|  | varobj_scope_status | status_ = `VAROBJ_IN_SCOPE`
| ) |  |
| inline

Definition at line 62 of file varobj.h.

## ◆ varobj_update_result() [2/2]

varobj_update_result::varobj_update_result | ( | varobj_update_result && | other | ) |
| default

## Member Function Documentation

## ◆ DISABLE_COPY_AND_ASSIGN()

varobj_update_result::DISABLE_COPY_AND_ASSIGN | ( | varobj_update_result |  | ) |

## Member Data Documentation

## ◆ changed

bool varobj_update_result::changed = false

Definition at line 74 of file varobj.h.

Referenced by varobj_update().

## ◆ children_changed

bool varobj_update_result::children_changed = false

Definition at line 73 of file varobj.h.

Referenced by varobj_update().

## ◆ newobj

std::vector<struct varobj *> varobj_update_result::newobj

Definition at line 85 of file varobj.h.

Referenced by varobj_update().

## ◆ status

enum varobj_scope_status varobj_update_result::status

Definition at line 75 of file varobj.h.

Referenced by varobj_update().

## ◆ type_changed

bool varobj_update_result::type_changed = false

Definition at line 72 of file varobj.h.

Referenced by varobj_update().

## ◆ value_installed

bool varobj_update_result::value_installed = false

Definition at line 79 of file varobj.h.

Referenced by varobj_update().

## ◆ varobj

struct varobj* varobj_update_result::varobj

Definition at line 71 of file varobj.h.

Referenced by varobj_update().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/varobj.h